File: configure.ac

package info (click to toggle)
globus-gsi-openssl-error 4.1-2
  • links: PTS, VCS
  • area: main
  • in suites:
  • size: 1,480 kB
  • sloc: sh: 11,139; ansic: 892; makefile: 84; perl: 41
file content (36 lines) | stat: -rw-r--r-- 975 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
AC_PREREQ([2.60])

AC_INIT([globus_gsi_openssl_error], [4.1],[https://github.com/gridcf/gct/issues])
AC_CONFIG_MACRO_DIR([m4])
AC_SUBST([MAJOR_VERSION], [${PACKAGE_VERSION%%.*}])
AC_SUBST([MINOR_VERSION], [${PACKAGE_VERSION##*.}])
AC_SUBST([AGE_VERSION], [4])
AC_SUBST([PACKAGE_DEPS], ["globus-common >= 14"])

AC_CONFIG_AUX_DIR([build-aux])
AM_INIT_AUTOMAKE([1.11 foreign parallel-tests tar-pax])
LT_INIT([dlopen win32-dll])

m4_include([dirt.sh])
AC_SUBST(DIRT_TIMESTAMP)
AC_SUBST(DIRT_BRANCH_ID)

PKG_CHECK_MODULES([OPENSSL], [openssl >= 1.0],
    [OPENSSL_PKGCONFIG="openssl >= 1.0"])

AC_SUBST([OPENSSL_PKGCONFIG])
PKG_CHECK_MODULES([PACKAGE_DEP], $PACKAGE_DEPS)

AC_PATH_PROGS([DOXYGEN], doxygen)
AM_CONDITIONAL([ENABLE_DOXYGEN], [test "x$DOXYGEN" != x])

AC_CONFIG_FILES(
        Makefile
        globus-gsi-openssl-error.pc
        globus-gsi-openssl-error-uninstalled.pc
        library/Makefile
	library/Doxyfile
        test/Makefile
        version.h
)
AC_OUTPUT